char *AC = "ALP", *titl = "Waveform", *xtitl ="Time (ns)";
char *ytitl ="Voltage (V)", *l = "l", *Legtitl;
char * same = "same";
char *canv = "MyC", *Waveforms = "Waveforms";
float WaveYmin, WaveYmax;
void ViewWaveform(int n = 1, int m = 0, char *type = "Orig", char *Tlegend = "off", char *legtitl = "N or G")
{
nw1 = n;
nw2 = m;
gROOT->ProcessLine("TCanvas *MyC = new TCanvas(canv,Waveforms)");
gROOT->ProcessLine("MyC->SetGrid()");
gROOT->ProcessLine("MyC->SetFillColor(0)");
int i = 0;
Legtitl = legtitl;
while (i < nppw)
   {
   if (type == "CF")
      {
      ZCwaveA[i] = cfWaves[(n-1)*(nppw+1)+i];
      }
   else
      {
      ZCwaveA[i] = data[(n-1)*(nppw+1)+i];
      }
   i++;
   }
i = 0;
if ( m != 0 )
   {
   while (i < nppw)
      {
      if (type == "CF")
         {
         ZCwaveB[i] = cfWaves[(m-1)*(nppw+1)+i];
         }
      else
         {
         ZCwaveB[i] = data[(m-1)*(nppw+1)+i];
         }
      i++;
      }
   }
gROOT->ProcessLine("TGraph *plot1 = new TGraph(nppw-1,time,ZCwaveA)");
gROOT->ProcessLine("plot1->GetXaxis()->SetTitle(xtitl)");
gROOT->ProcessLine("plot1->GetXaxis()->SetLimits(0.,tpdp*(nppw-1))");
gROOT->ProcessLine("plot1->SetLineColor(kBlue)");
gROOT->ProcessLine("plot1->SetLineWidth(2)");
gROOT->ProcessLine("plot1->SetMarkerColor(4)");
//gROOT->ProcessLine("plot1->SetMarkerStyle(7)");
gROOT->ProcessLine("plot1->SetTitle(titl)");
gROOT->ProcessLine("plot1->GetYaxis()->SetTitle(ytitl)");
if (Tlegend != "off" )
   {
   gROOT->ProcessLine("leg = new TLegend(0.7,0.34,0.89,0.19)");
   gROOT->ProcessLine("leg->AddEntry(plot1,Legtitl,l)");
   gROOT->ProcessLine("leg->Draw()");
   }
if ( datamax[nw1] >= datamax[nw2] )
   {
   WaveYmax = ceil(100*datamax[nw1])/100 + 0.01;
   }
else
   {
   WaveYmax = ceil(100*datamax[nw2])/100 + 0.01;
   }
if ( datamin[nw1] <= datamin[nw2] )
   {
   WaveYmin = floor(100*datamin[nw1])/100 - 0.01;
   }
else
   {
   WaveYmin = floor(100*datamin[nw2])/100 - 0.01;
   }
if (type == "CF")
   {
   if ( cfWaves[(nw1-1)*(nppw+1)+cfTmax[nw1-1]] >= cfWaves[(nw2-1)*(nppw+1)+cfTmax[nw2-1]] )
      {
      WaveYmax = ceil(100*cfWaves[(nw1-1)*(nppw+1)+cfTmax[nw1-1]])/100 + 0.01;
      }
   else
      {
      WaveYmax = ceil(100*cfWaves[(nw2-1)*(nppw+1)+cfTmax[nw2-1]])/100 + 0.01;
      }
   if ( cfWaves[(nw1-1)*(nppw+1)+cfTmin[nw1-1]] <= cfWaves[(nw2-1)*(nppw+1)+cfTmin[nw2-1]] )
      {
      WaveYmin = floor(100*cfWaves[(nw1-1)*(nppw+1)+cfTmin[nw1-1]])/100 - 0.01;
      }
   else
      {
      WaveYmin = floor(100*cfWaves[(nw2-1)*(nppw+1)+cfTmin[nw2-1]])/100 - 0.01;
      }
   }
gROOT->ProcessLine("plot1->GetYaxis()->SetRangeUser(WaveYmin,WaveYmax)");
gROOT->ProcessLine("plot1->Draw(AC)");
if ( m != 0 )
   {
   gROOT->ProcessLine("TGraph *plot2 = new TGraph(nppw-1,time,ZCwaveB)");
   gROOT->ProcessLine("plot2->GetYaxis()->SetRangeUser(WaveYmin,WaveYmax)");
   gROOT->ProcessLine("plot2->Draw(same)");
   }
}
