float *data = NULL;
float *time = NULL;
float *datamin = NULL;
float *datamax = NULL;
float *cfTmin = NULL;
float *cfTmax = NULL;
float *tdiff = NULL;
float *tcT = NULL;
float *totalA = NULL;
float *cfWaves = NULL;
float *OcfWaves = NULL;
float *Ocfdval = NULL;
float *Oatval = NULL;
float *Obval = NULL;
float *OTimRes = NULL;
float *ZCwaveA = NULL;
float *ZCwaveB = NULL;
ifstream input;
int nppw = 0, tpdp, Nwaves = 0, nppds = 0, nce, nw1 = 1, nw2 = 2, nbThres = 0, npps = 0;
float tdiffmin = 99999, tdiffmax = 0, delt = 0;
void InputData(char *file = "1GHz_5000Events.txt", int rate = 500/*MHz*/ )
{
int i = 0, n = 1, w = 0, ymin = 0, ymax = 0, y, knst;
float a = 0, dmin = 0, dmax = 0, q;
nppds = 0;
nppw = 0;
cout << "Using File = " << file <<endl;
tpdp /*ns*/ = 1000 / rate /*MHz*/;
input.open ( file );
if(!input)  // Will print error if problem occured when opening file
   {                    
   cout << "An error was encountered while opening the file" << endl;
   }
else
   {
   while (! input.eof())
      {
      input >> a;   
      if (! input.eof())
         {
         nppds++;
         }
      if ( a != 99999 && w == 0 )
         {
         nppw++;
         }
      else
         {
         w++;
         }
      }
   }
input.close();
cout << "Number of data points in data set = " << nppds <<endl;
cout << "Number of data points per waveform = " << nppw <<endl;
Nwaves = nppds/ (nppw + 1);
nce = Nwaves/2;
data = new float[nppds];
cfWaves = new float[nppds];
OcfWaves = new float[nppds];
cfTmax = new float[Nwaves];
cfTmin = new float[Nwaves];
datamax = new float[Nwaves];
datamin = new float[Nwaves];
totalA = new float[Nwaves];
tcT = new float[Nwaves];
time = new float[nppw];
ZCwaveA = new float[nppw];
ZCwaveB = new float[nppw];
tdiff = new float[nce];
while ( i < nppw )
   {
   time[i] = tpdp*i;
   i++;
   }
i = 0;
a = 0;
input.open ( file );
while (! input.eof())
   {
   input >> a;
   if (! input.eof())
      {
      data[i] = a;
      i++;
      }
   }
input.close();
i = 0;
while (i < Nwaves)
   {
   tcT[i] = 0;
   cfTmin[i] = 0;
   cfTmax[i] = 0;
   datamin[i] = 0;
   datamax[i] = 0;
   i++;
   }
i = 0;
while (i < nce)
   {
   tdiff[i] = 0.0;
   i++;
   }
n = 1; 
while (n < (Nwaves+1) )
   {
   y = 0;
   dmin = 100.0;
   dmax = -100.0;
   knst = (n-1)*(nppw+1); 
   while ( y < nppw )
      {
      q = data[knst + y];
      if (q > dmax)
         {
         dmax = q;
         ymax = y;
         }
      if (q < dmin)
         {
         dmin = q;
         ymin = y;
         }
      y++;
      }
   datamin[n-1] = dmin;
   datamax[n-1] = dmax;
   n++;
   }
}
